Expected pay
Estimates expected pay over a date range by applying the user’s pay settings and enhancement rules to their shifts. Optionally restrict to specific templates.
GET
/v1/reports/expected-pay
const url = 'https://api.shiftsync.app/v1/reports/expected-pay?startDate=2026-04-15T12%3A00%3A00Z&endDate=2026-04-15T12%3A00%3A00Z';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.shiftsync.app/v1/reports/expected-pay?startDate=2026-04-15T12%3A00%3A00Z&endDate=2026-04-15T12%3A00%3A00Z' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”startDate
required
string format: date-time
endDate
required
string format: date-time
templateId
string
Responses
Section titled “Responses”Expected pay in the range
Media typeapplication/json
object
item
required
object
currency
required
string
totalMinor
required
integer
baseMinor
required
integer
enhancementMinor
required
integer
totalHours
required
number
shiftCount
required
integer
unratedShiftCount
required
integer
byTemplate
required
Array<object>
object
templateId
required
integer
hours
required
number
payMinor
required
integer
byRule
required
Array<object>
object
ruleId
required
integer
name
required
string
hours
required
number
enhancementMinor
required
integer
Example
{ "item": { "currency": "string", "totalMinor": 0, "baseMinor": 0, "enhancementMinor": 0, "totalHours": 0, "shiftCount": 0, "unratedShiftCount": 0, "byTemplate": [ { "templateId": 0, "hours": 0, "payMinor": 0 } ], "byRule": [ { "ruleId": 0, "name": "string", "hours": 0, "enhancementMinor": 0 } ] }}